# securityRole

abstract fun securityRole(role: EarSecurityRole): DeploymentDescriptor

Add a security role to the deployment descriptor.

#### Return

this.

#### Parameters

role

The security role to add.

abstract fun securityRole(role: String): DeploymentDescriptor

Add a security role to the deployment descriptor.

#### Return

this.

#### Parameters

role

The name of the security role to add.

abstract fun securityRole(action: Action<in EarSecurityRole>): DeploymentDescriptor

Add a security role to the deployment descriptor after configuring it with the given action.

#### Return

this.

#### Parameters

action

an action to configure the security role